Bug 1652305 - Review Request: dav1d - AV1 cross-platform Decoder
Summary: Review Request: dav1d - AV1 cross-platform Decoder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 20:50 UTC by Robert-André Mauchin
Modified: 2019-01-03 05:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 02:26:23 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2018-11-21 20:50:45 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dav1d/fedora-rawhide-x86_64/00826291-dav1d/dav1d.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dav1d/fedora-rawhide-x86_64/00826291-dav1d/dav1d-0-0.4.20181118git842b2074.fc30.src.rpm

Description: 
dav1d is a new AV1 cross-platform Decoder, open-source, and focused on speed 
and correctness.

Fedora Account System Username: eclipseo

Comment 1 Neal Gompa 2018-11-22 02:40:21 UTC
Taking this review.

Comment 2 Neal Gompa 2018-11-23 02:35:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dav1d-0-0.4.20181118git842b2074.fc30.x86_64.rpm
          libdav1d-0-0.4.20181118git842b2074.fc30.x86_64.rpm
          libdav1d-devel-0-0.4.20181118git842b2074.fc30.x86_64.rpm
          dav1d-debuginfo-0-0.4.20181118git842b2074.fc30.x86_64.rpm
          dav1d-debugsource-0-0.4.20181118git842b2074.fc30.x86_64.rpm
          dav1d-0-0.4.20181118git842b2074.fc30.src.rpm
dav1d.x86_64: W: incoherent-version-in-changelog 0-0.4.20181118git842b207 ['0-0.4.20181118git842b2074.fc30', '0-0.4.20181118git842b2074']
dav1d.x86_64: W: no-manual-page-for-binary dav1d
libdav1d.x86_64: W: no-documentation
libdav1d-devel.x86_64: W: no-documentation
dav1d.src: W: strange-permission makesrc.sh 775
dav1d.src: W: invalid-url Source0: dav1d-842b2074.tar.gz
6 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: dav1d-debuginfo-0-0.4.20181118git842b2074.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libdav1d-devel.x86_64: W: no-documentation
libdav1d.x86_64: W: no-documentation
dav1d.x86_64: W: incoherent-version-in-changelog 0-0.4.20181118git842b207 ['0-0.4.20181118git842b2074.fc30', '0-0.4.20181118git842b2074']
dav1d.x86_64: W: no-manual-page-for-binary dav1d
5 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
dav1d-debugsource (rpmlib, GLIBC filtered):

libdav1d-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libdav1d(x86-64)
    libdav1d.so.0()(64bit)

dav1d-debuginfo (rpmlib, GLIBC filtered):

libdav1d (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

dav1d (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdav1d.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
dav1d-debugsource:
    dav1d-debugsource
    dav1d-debugsource(x86-64)

libdav1d-devel:
    libdav1d-devel
    libdav1d-devel(x86-64)
    pkgconfig(dav1d)

dav1d-debuginfo:
    dav1d-debuginfo
    dav1d-debuginfo(x86-64)
    debuginfo(build-id)

libdav1d:
    libdav1d
    libdav1d(x86-64)
    libdav1d.so.0()(64bit)

dav1d:
    dav1d
    dav1d(x86-64)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1652305 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Neal Gompa 2018-11-23 02:35:54 UTC
Package and packaging looks good.

PACKAGE APPROVED.

Comment 4 Neal Gompa 2018-11-23 02:51:42 UTC
Actually, hold on. This is our first non-aom AV1 implementation.

I'd like to have confirmation from FE-Legal for acceptance of this.

And we probably need the PATENTS file marked as a license file.

Comment 5 Robert-André Mauchin 2018-11-23 16:42:00 UTC
Added PATENTS as license locally. It's the same as AV1, not sure why it would cause an issue.


Alliance for Open Media Patent License 1.0

1. License Terms.

1.1. Patent License. Subject to the terms and conditions of this License, each
     Licensor, on behalf of itself and successors in interest and assigns,
     grants Licensee a non-sublicensable, perpetual, worldwide, non-exclusive,
     no-charge, royalty-free, irrevocable (except as expressly stated in this
     License) patent license to its Necessary Claims to make, use, sell, offer
     for sale, import or distribute any Implementation.

1.2. Conditions.

1.2.1. Availability. As a condition to the grant of rights to Licensee to make,
       sell, offer for sale, import or distribute an Implementation under
       Section 1.1, Licensee must make its Necessary Claims available under
       this License, and must reproduce this License with any Implementation
       as follows:

       a. For distribution in source code, by including this License in the
          root directory of the source code with its Implementation.

       b. For distribution in any other form (including binary, object form,
          and/or hardware description code (e.g., HDL, RTL, Gate Level Netlist,
          GDSII, etc.)), by including this License in the documentation, legal
          notices, and/or other written materials provided with the
          Implementation.

1.2.2. Additional Conditions. This license is directly from Licensor to
       Licensee.  Licensee acknowledges as a condition of benefiting from it
       that no rights from Licensor are received from suppliers, distributors,
       or otherwise in connection with this License.

1.3. Defensive Termination. If any Licensee, its Affiliates, or its agents
     initiates patent litigation or files, maintains, or voluntarily
     participates in a lawsuit against another entity or any person asserting
     that any Implementation infringes Necessary Claims, any patent licenses
     granted under this License directly to the Licensee are immediately
     terminated as of the date of the initiation of action unless 1) that suit
     was in response to a corresponding suit regarding an Implementation first
     brought against an initiating entity, or 2) that suit was brought to
     enforce the terms of this License (including intervention in a third-party
     action by a Licensee).

1.4. Disclaimers. The Reference Implementation and Specification are provided
     "AS IS" and without warranty. The entire risk as to implementing or
     otherwise using the Reference Implementation or Specification is assumed
     by the implementer and user. Licensor expressly disclaims any warranties
     (express, implied, or otherwise), including implied warranties of
     merchantability, non-infringement, fitness for a particular purpose, or
     title, related to the material. IN NO EVENT WILL LICENSOR BE LIABLE TO
     ANY OTHER PARTY FOR LOST PROFITS OR ANY FORM OF INDIRECT, SPECIAL,
     INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER FROM ANY CAUSES OF
     ACTION OF ANY KIND WITH RESPECT TO THIS LICENSE, WHETHER BASED ON BREACH
     OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, AND WHETHER OR
     NOT THE OTHER PARTRY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

2. Definitions.

2.1. Affiliate.  “Affiliate” means an entity that directly or indirectly
     Controls, is Controlled by, or is under common Control of that party.

2.2. Control. “Control” means direct or indirect control of more than 50% of
     the voting power to elect directors of that corporation, or for any other
     entity, the power to direct management of such entity.

2.3. Decoder.  "Decoder" means any decoder that conforms fully with all
     non-optional portions of the Specification.

2.4. Encoder.  "Encoder" means any encoder that produces a bitstream that can
     be decoded by a Decoder only to the extent it produces such a bitstream.

2.5. Final Deliverable.  “Final Deliverable” means the final version of a
     deliverable approved by the Alliance for Open Media as a Final
     Deliverable.

2.6. Implementation.  "Implementation" means any implementation, including the
     Reference Implementation, that is an Encoder and/or a Decoder. An
     Implementation also includes components of an Implementation only to the
     extent they are used as part of an Implementation.

2.7. License. “License” means this license.

2.8. Licensee. “Licensee” means any person or entity who exercises patent
     rights granted under this License.

2.9. Licensor.  "Licensor" means (i) any Licensee that makes, sells, offers
     for sale, imports or distributes any Implementation, or (ii) a person
     or entity that has a licensing obligation to the Implementation as a
     result of its membership and/or participation in the Alliance for Open
     Media working group that developed the Specification.

2.10. Necessary Claims.  "Necessary Claims" means all claims of patents or
      patent applications, (a) that currently or at any time in the future,
      are owned or controlled by the Licensor, and (b) (i) would be an
      Essential Claim as defined by the W3C Policy as of February 5, 2004
      (https://www.w3.org/Consortium/Patent-Policy-20040205/#def-essential)
      as if the Specification was a W3C Recommendation; or (ii) are infringed
      by the Reference Implementation.

2.11. Reference Implementation. “Reference Implementation” means an Encoder
      and/or Decoder released by the Alliance for Open Media as a Final
      Deliverable.

2.12. Specification. “Specification” means the specification designated by
      the Alliance for Open Media as a Final Deliverable for which this
      License was issued.

Comment 6 Neal Gompa 2018-11-23 18:04:51 UTC
(In reply to Robert-André Mauchin from comment #5)
> Added PATENTS as license locally. It's the same as AV1, not sure why it
> would cause an issue.
> 

It is probably fine, but I want to have a clear signal that AV1 implementations not derived from libaom are suitable for inclusion.

Comment 7 Tom "spot" Callaway 2018-12-06 16:47:56 UTC
No problems with what I see here. Lifting FE-Legal.

Comment 8 Neal Gompa 2018-12-07 20:26:26 UTC
Thanks Tom!

PACKAGE APPROVED.

Comment 9 Gwyn Ciesla 2018-12-07 21:21:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/dav1d

Comment 10 Fedora Update System 2018-12-11 22:01:19 UTC
dav1d-0.1.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-53894abd91

Comment 11 Fedora Update System 2018-12-11 22:16:14 UTC
dav1d-0.1.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-88df17ee57

Comment 12 Fedora Update System 2018-12-12 02:42:33 UTC
dav1d-0.1.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-88df17ee57

Comment 13 Fedora Update System 2018-12-12 03:33:40 UTC
dav1d-0.1.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-53894abd91

Comment 14 Fedora Update System 2019-01-03 02:26:23 UTC
dav1d-0.1.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-01-03 05:29:15 UTC
dav1d-0.1.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.